# Uses of Class
org.apache.commons.math3.analysis.interpolation.BicubicSplineInterpolatingFunction

Packages that use BicubicSplineInterpolatingFunction
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.

## Uses of BicubicSplineInterpolatingFunction in org.apache.commons.math3.analysis.interpolation

Methods in org.apache.commons.math3.analysis.interpolation that return BicubicSplineInterpolatingFunction
Modifier and Type
Method
Description
`BicubicSplineInterpolatingFunction`
BicubicSplineInterpolator.`interpolate(double[] xval, double[] yval, double[][] fval)`
Deprecated.
Compute an interpolating function for the dataset.
`BicubicSplineInterpolatingFunction`
SmoothingPolynomialBicubicSplineInterpolator.`interpolate(double[] xval, double[] yval, double[][] fval)`
Deprecated.
Compute an interpolating function for the dataset.